(function() {
    "use strict";

    //= ../app/app/dist/cookie-consent.js

    document.addEventListener('appReady.EappsCookieConsent', function() {
        var widgets = document.querySelectorAll('[data-elfsight-cookie-consent-options]');

        Array.prototype.slice.call(widgets).forEach(function(widget) {
            var version = widget.getAttribute('data-elfsight-cookie-consent-version');
            var options = widget.getAttribute('data-elfsight-cookie-consent-options');
            var data = JSON.parse(decodeURIComponent(options));

            window.eappsCookieConsent(widget, data);

            widget.removeAttribute('data-elfsight-cookie-consent-options');
            widget.removeAttribute('data-elfsight-cookie-consent-version');

            widget.data = {
                options: data,
                version: version
            };
        });
    });
})();
